LoggingControllerQueryLogs Method |
POST /Logging/Query/
Retrieves information about logging.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Query")]
public HttpResponseMessage QueryLogs(
[FromBodyAttribute] GetLogEntriesOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Query")>
Public Function QueryLogs (
<FromBodyAttribute> options As GetLogEntriesOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Query")]
HttpResponseMessage^ QueryLogs(
[FromBodyAttribute] GetLogEntriesOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Query")>]
member QueryLogs :
[<FromBodyAttribute>] options : GetLogEntriesOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetLogEntriesOptions
An object that carries all needed information about the log entries that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
LogEntryData objects.
See Also